Entity Ingestion Config API
List Ingestion Configs
List entity ingestion configs for a team, optionally filtered by app instance.
GET
/
v2
/
entity-ingestion-configs
List Ingestion Configs
curl --request GET \
--url https://public.api.serval.com/v2/entity-ingestion-configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/entity-ingestion-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/entity-ingestion-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"appInstanceId": "<string>",
"workflowId": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"teamId": "<string>",
"serviceName": "<string>",
"workflowName": "<string>",
"isWorkflowPublished": true,
"hasIngestionContext": true,
"syncDeletions": true,
"internalEntityTypeId": "<string>",
"syncIntervalSeconds": "<unknown>"
}
]
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the team.
Optional filter by app instance ID.
Response
Success
The list of entity ingestion configs.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List Ingestion Configs

